Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class MigrationRule

    java.lang.Object
      com.tibco.bpm.web.client.model.types.MigrationRule

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class MigrationRule

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Details of a migration rule to migrate one version of a process template to a different version.

This class is used when submitting new migration rules to the AMX BPM server from a client application.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`MigrationRule()`
`MigrationRule(int aId, java.lang.String aName, java.lang.String aSourceVersion, java.lang.String aDestinationVersion, java.lang.String aFromTask, boolean aIsApplied)`

Method Summary
`boolean` | `equals(java.lang.Object aThat)`
`java.lang.String` | `getDestinationVersion()` The destination process template version for the migration.
`java.lang.String` | `getFromTask()` The Task in the source version where the migration is to take place.
`int` | `getId()` ID to identify the migration rule.
`java.lang.String` | `getName()` The user defined name for the migration rule.
`java.lang.String` | `getSourceVersion()` The source process template version for the migration.
`boolean` | `isApplied()` Flag used by the client to determine if a migration rule has been applied on the server.
`boolean` | `isDeleted()` Flag to mark a rule as deleted.
`void` | `setApplied(boolean isApplied)` Flag used by the client to determine if a migration rule has been applied on the server.
`void` | `setDeleted(boolean isDeleted)` Flag to mark a rule as deleted.
`void` | `setDestinationVersion(java.lang.String destinationVersion)` The destination process template version for the migration.
`void` | `setFromTask(java.lang.String fromTask)` The Task in the source version where the migration is to take place.
`void` | `setId(int id)` ID to identify the migration rule.
`void` | `setName(java.lang.String name)` The user defined name for the migration rule.
`void` | `setSourceVersion(java.lang.String sourceVersion)` The source process template version for the migration.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MigrationRule

    public MigrationRule()

### MigrationRule

    public MigrationRule(int aId,
                         java.lang.String aName,
                         java.lang.String aSourceVersion,
                         java.lang.String aDestinationVersion,
                         java.lang.String aFromTask,
                         boolean aIsApplied)

Method Detail

### getName

    public java.lang.String getName()

  The user defined name for the migration rule.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  The user defined name for the migration rule.

  If the name exceeds it is truncated.

  Parameters:
    `name` -

### getSourceVersion

    public java.lang.String getSourceVersion()

  The source process template version for the migration.

  Returns:
    Returns the sourceVersion.

### setSourceVersion

    public void setSourceVersion(java.lang.String sourceVersion)

  The source process template version for the migration.

  Parameters:
    `sourceVersion` - The sourceVersion to set.

### getDestinationVersion

    public java.lang.String getDestinationVersion()

  The destination process template version for the migration.

  Returns:
    Returns the destinationVersion.

### setDestinationVersion

    public void setDestinationVersion(java.lang.String destinationVersion)

  The destination process template version for the migration.

  Parameters:
    `destinationVersion` - The destinationVersion to set.

### getFromTask

    public java.lang.String getFromTask()

  The Task in the source version where the migration is to take place.

  Currently migration is only supported from a source Task to the same Task in the destination template version.

  It is not possible to jump from a source task to a different task in the destination version.

  Returns:
    Returns the fromTask.

### setFromTask

    public void setFromTask(java.lang.String fromTask)

  The Task in the source version where the migration is to take place.

  Currently migration is only supported from a source Task to the same Task in the destination template version.

  It is not possible to jump from a source task to a different task in the destination version.

  Parameters:
    `fromTask` - The fromTask to set.

### getId

    public int getId()

  ID to identify the migration rule.

  Returns:
    Returns the id.

### setId

    public void setId(int id)

  ID to identify the migration rule.

  Parameters:
    `id` - The id to set.

### isApplied

    public boolean isApplied()

  Flag used by the client to determine if a migration rule has been applied on the server.

  This flag can be used to determine which rules in a list have been submitted to the server.

  Returns:
    Returns the isApplied.

### setApplied

    public void setApplied(boolean isApplied)

  Flag used by the client to determine if a migration rule has been applied on the server.

  This flag can be used to determine which rules in a list have been submitted to the server.

  Parameters:
    `isApplied` - The isApplied to set.

### isDeleted

    public boolean isDeleted()

  Flag to mark a rule as deleted.

  The client uses this flag to determine which rules have been deleted so a request can be sent to the server to remove the rule.

  Returns:
    Returns the isDeleted.

### setDeleted

    public void setDeleted(boolean isDeleted)

  Flag to mark a rule as deleted.

  The client uses this flag to determine which rules have been deleted so a request can be sent to the server to remove the rule.

  Parameters:
    `isDeleted` - The isDeleted to set.

### equals

    public boolean equals(java.lang.Object aThat)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.